GCLOUD_PREVIEW_APP_SERVICES_LIST(1)

NAME

gcloud preview app services list - list your existing services

SYNOPSIS

gcloud preview app services list [--filter EXPRESSION] [--flatten [KEY,...]] [--limit LIMIT] [--page-size PAGE_SIZE] [--sort-by FIELDS] [--uri] [GLOBAL-FLAG ...]

DESCRIPTION
(PREVIEW) This command lists all services that are currently deployed to the App Engine server.

LIST COMMAND FLAGS
--filter EXPRESSION
    Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details run $ gcloud topic filters. If --limit is also specified then it is applied after --filter.
--flatten [KEY,...]
    Flatten name[] resource slices in KEY to separate records for each item in each slice. Multiple keys and slices may be specified. This also flattens keys for --format and --filter. For example, --flatten=abc.def[] flattens abc.def[].ghi references to abc.def.ghi.
--limit LIMIT
    The maximum number of resources to list. The default is unlimited. If --filter is also specified then it is applied before --limit.
--page-size PAGE_SIZE
    Some services group resource list output into pages. This flag specifies the maximum number of resources per page. The default is determined by the service if it supports paging, otherwise it is unlimited (no paging). Paging may be applied before or after --filter and --limit depending on the service.
--sort-by FIELDS
    A comma-separated list of resource field key names to sort by. The default order is ascending. Prefix a field with ``~'' for descending order on that field.
--uri
    Print a list of resource URIs instead of the default output.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To list all services in the current project, run:
    $ gcloud preview app services list

NOTES
This command is currently in DEVELOPER PREVIEW and may change without notice.